package com.example.demo.module.smartbowsdk.config;

import com.alibaba.fastjson.JSON;
import pers.jc.util.JCFileTool;

import java.io.File;
import java.util.List;

public class GameChannel {
    private String gameID;
    private String channelID;

    public String getGameID() {
        return gameID;
    }

    public void setGameID(String gameID) {
        this.gameID = gameID;
    }

    public String getChannelID() {
        return channelID;
    }

    public void setChannelID(String channelID) {
        this.channelID = channelID;
    }

    public static List<GameChannel> configList;
    public static void loadConfigList() throws Exception {
        String path = JCFileTool.joinPath(JCFileTool.getRootPath(), "res", "GameChannel.json");
        String text = new JCFileTool().readStr(new File(path));
        configList = JSON.parseArray(text, GameChannel.class);
    }
}
